Page MenuHomePhabricator

[flang][driver] Fine-tune `-fdebug-dump-symbols`
ClosedPublic

Authored by awarzynski on Apr 16 2021, 7:42 AM.

Details

Summary

When generating output for -fdebug-dump-symbols, make sure that
BuildRuntimeDerivedTypeTables is also run. This change is needed in
order to make the implementation of -fdebug-dump-symbols in
flang-new consistent with f18. It also allows us to port more tests
to use the new driver whenever it is enabled.

Diff Detail

Event Timeline

awarzynski created this revision.Apr 16 2021, 7:42 AM
awarzynski requested review of this revision.Apr 16 2021, 7:42 AM
Herald added a project: Restricted Project. · View Herald TranscriptApr 16 2021, 7:42 AM

Rebase on top of D100648

Remove D100648 as a dependency

D100648 was abandoned due to https://bugs.llvm.org/show_bug.cgi?id=50040. The latest revision of this patch takes 50040 into account. The behaviour implemented here matches that from f18.

This comment was removed by AMDChirag.
AMDChirag accepted this revision.Apr 21 2021, 10:15 PM
This comment was removed by AMDChirag.
This revision is now accepted and ready to land.Apr 21 2021, 10:15 PM
AMDChirag requested changes to this revision.Apr 22 2021, 12:39 AM
AMDChirag added inline comments.
flang/lib/Frontend/FrontendActions.cpp
284

Shouldn't the local variables be named in PascalCase?

304

PascalCase here as well?

This revision now requires changes to proceed.Apr 22 2021, 12:39 AM
awarzynski added inline comments.Apr 22 2021, 6:24 AM
flang/lib/Frontend/FrontendActions.cpp
284

In LLVM/Clang - yes, in MLIR/Flang -no :) It's basically lowerCase everywhere in Flang. That's not really explicitly mentioned in the coding style, but that's the style used in this file and in other parts of Flang.

AMDChirag added inline comments.Apr 22 2021, 7:00 AM
flang/lib/Frontend/FrontendActions.cpp
284

Oh okay, my bad. Thanks for explaining :)
LGTM, but i'll let others take a look.

Rebase on top of main. Take the resolution of 50040 into account.

AMDChirag accepted this revision.Apr 23 2021, 2:24 AM
This revision is now accepted and ready to land.Apr 23 2021, 2:24 AM
This revision was landed with ongoing or failed builds.Apr 26 2021, 2:21 AM
This revision was automatically updated to reflect the committed changes.